import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonList, IonItem, IonLabel, IonAvatar } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { addIcons } from 'ionicons';
import { airplane, bluetooth, call, wifi } from 'ionicons/icons';
import { ModalController } from '@ionic/angular';
import { ArticleCardComponent } from '../component/article-card/article-card.component';
import { CommonModule } from '@angular/common';
addIcons({ airplane, bluetooth, call, wifi });

interface Article {
  image: string;
  title: string;
  category: string;
  date: string;
  views: number;
  likes: number;
}

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonLabel,IonItem,IonList,IonAvatar,ArticleCardComponent,CommonModule
  ]
})


export class Tab2Page {

  constructor() {
  }

  cards = [
    {
      image: 'https://picsum.photos/800/400?random=1',
      title: '电话—麻烦？为何年轻人这么讨厌接电话',
      topic: '生活',
      date: '11月29日',
      views: '1.2万',
      likes: 132
    },
    {
      image: 'https://picsum.photos/800/400?random=2',
      title: '眼睛也会“高血压”？',
      topic: '生活',
      date: '11月26日',
      views: '1.2万',
      likes: 150
    },
    {
      image: 'https://picsum.photos/800/400?random=3',
      title: '眼睛也会“高血压”？',
      topic: '生活',
      date: '11月26日',
      views: '1.2万',
      likes: 150
    },
    // 添加更多卡片数据
  ];
}
